Index: ChangeLog
===================================================================
--- ChangeLog	(revision 2404c3a6cd47618aa1b8cbad3359b00b24d00262)
+++ ChangeLog	(revision f9334032020d40244099964347ee4723827615c1)
@@ -3,4 +3,5 @@
 2.0.8-pre-4
 	Added the 'source' command.
+	Fix to make 'default' style the default again.
 	
 2.0.8-pre-3   
Index: functions.c
===================================================================
--- functions.c	(revision 2404c3a6cd47618aa1b8cbad3359b00b24d00262)
+++ functions.c	(revision f9334032020d40244099964347ee4723827615c1)
@@ -59,5 +59,4 @@
 }
 
-
 void owl_function_show_view(char *viewname)
 {
@@ -375,5 +374,4 @@
 }
 
-
 void owl_function_aimwrite(char *to)
 {
@@ -392,6 +390,4 @@
   }
 }
-
-
 
 /* If filter is non-null, looks for the next message matching
@@ -503,5 +499,4 @@
 }
 
-
 void owl_function_prevmsg()
 {
@@ -518,5 +513,4 @@
   owl_function_prevmsg_full(NULL, 1, 1);
 }
-
 
 void owl_function_nextmsg_personal()
@@ -559,5 +553,4 @@
   }
 }
-
 
 void owl_function_undeletecur(int move_after)
@@ -590,5 +583,4 @@
   owl_mainwin_redisplay(owl_global_get_mainwin(&g));
 }
-
 
 void owl_function_expunge()
@@ -627,5 +619,4 @@
   owl_mainwin_redisplay(owl_global_get_mainwin(&g));
 }
-
 
 void owl_function_firstmsg()
@@ -672,5 +663,4 @@
 }
 
-
 void owl_function_shift_left()
 {
@@ -688,5 +678,4 @@
 }
 
-
 void owl_function_unsuball()
 {
@@ -784,5 +773,4 @@
 }
 
-
 void owl_function_makemsg(char *fmt, ...)
 {
@@ -821,5 +809,4 @@
   va_end(ap);
 }
-
 
 void owl_function_openurl()
@@ -1038,5 +1025,4 @@
 }
 
-
 int owl_function_calculate_topmsg_normal(int direction, owl_view *v, int curmsg, int topmsg, int recwinlines)
 {
@@ -1104,10 +1090,8 @@
 }
 
-
 void owl_function_resize()
 {
   owl_global_set_resize_pending(&g);
 }
-
 
 void owl_function_run_buffercommand()
@@ -1156,5 +1140,4 @@
 }
 
-
 void owl_function_refresh()
 {
@@ -1169,5 +1152,4 @@
   }
 }
-
 
 void owl_function_subscribe(char *class, char *inst, char *recip)
@@ -1183,5 +1165,4 @@
 }
 
-
 void owl_function_unsubscribe(char *class, char *inst, char *recip)
 {
@@ -1196,10 +1177,8 @@
 }
 
-
 void owl_function_set_cursor(WINDOW *win)
 {
   wnoutrefresh(win);
 }
-
 
 void owl_function_full_redisplay()
@@ -1220,5 +1199,4 @@
   owl_global_set_needrefresh(&g);
 }
-
 
 void owl_function_popless_text(char *text)
@@ -1238,5 +1216,4 @@
   owl_global_set_needrefresh(&g);
 }
-
 
 void owl_function_popless_fmtext(owl_fmtext *fm)
@@ -1444,5 +1421,4 @@
 }
 
-
 /* print the current message in a popup window.
  * Use the 'default' style regardless of whatever
@@ -1474,5 +1450,4 @@
   owl_fmtext_free(&fm);
 }
-
 
 void owl_function_page_curmsg(int step)
@@ -1706,5 +1681,4 @@
 }
 
-
 void owl_function_status()
 {
@@ -1797,5 +1771,4 @@
   owl_fmtext_free(&fm);
 }
-
 
 /* if type = 0 then normal reply.
@@ -2061,5 +2034,4 @@
 }
 
-
 char *owl_function_perl(int argc, char **argv, char *buff, int type)
 {
@@ -2631,6 +2603,4 @@
 }
 
-
-
 void owl_function_color_current_filter(char *color)
 {
@@ -2746,5 +2716,4 @@
   }
 }
-
 
 void owl_function_show_keymaps()
@@ -2886,5 +2855,4 @@
   owl_function_makemsg("No matches found");
 }
-
 
 /* strips formatting from ztext and returns the unformatted text. 
@@ -3054,6 +3022,4 @@
 }
 
-
-
 void owl_function_do_newmsgproc(void)
 {
@@ -3185,5 +3151,4 @@
 }
 
-
 void owl_function_change_style(owl_view *v, char *stylename)
 {
Index: owl.c
===================================================================
--- owl.c	(revision 2404c3a6cd47618aa1b8cbad3359b00b24d00262)
+++ owl.c	(revision f9334032020d40244099964347ee4723827615c1)
@@ -244,14 +244,4 @@
   }
 
-  /* set the startup and default style, based on userclue and presence of a
-   * formatting function */
-  if (owl_global_is_config_format(&g)) {
-    owl_global_set_default_style(&g, "perl");
-  } else if (owl_global_is_userclue(&g, OWL_USERCLUE_CLASSES)) {
-    owl_global_set_default_style(&g, "default");
-  } else {
-    owl_global_set_default_style(&g, "basic");
-  }
-
   /* execute the startup function in the configfile */
   perlout = owl_perlconfig_execute("owl::startup();");
@@ -280,4 +270,16 @@
       owl_function_loadloginsubs(NULL);
     }
+  }
+
+  /* set the startup and default style, based on userclue and presence of a
+   * formatting function */
+  if (owl_global_is_config_format(&g)) {
+    owl_global_set_default_style(&g, "perl");
+  } else if (owl_global_is_userclue(&g, OWL_USERCLUE_CLASSES)) {
+    owl_function_debugmsg("Here with default style\n");
+    owl_global_set_default_style(&g, "default");
+  } else {
+    owl_function_debugmsg("Here with basic style\n");
+    owl_global_set_default_style(&g, "basic");
   }
 
